# ---------------------------------------------------------------------------
# txt2fc_field.py
# Created on: Thu Nov 27 2008 01:48:26 PM
#   (generated by ArcGIS/ModelBuilder)
# ---------------------------------------------------------------------------

# Import system modules
import sys, string, os, arcgisscripting, glob, os.path

# Create the Geoprocessor object
gp = arcgisscripting.create()

# Load required toolboxes...
gp.AddToolbox("C:/Program Files/ArcGIS/ArcToolbox/Toolboxes/Conversion Tools.tbx")
gp.AddToolbox("C:/Program Files/ArcGIS/ArcToolbox/Toolboxes/Data Management Tools.tbx")
gp.overwriteoutput = 1

scenario_dir="\\\\nas2\\gemd\\georisk_models\\inundation\\data\\western_australia\\geraldton_tsunami_scenario\\"
output_dir = "anuga\\outputs\\"

time_dir1 = '20081117_141353_run_final_0_27283_alpha0.1_kvanputt'
time_dir2 = '20081117_141443_run_final_0.6_27283_alpha0.1_kvanputt' 
time_dir3 = '20081117_141520_run_final_0_27255_alpha0.1_kvanputt'
time_dir4 = '20081117_141558_run_final_0.6_27255_alpha0.1_kvanputt'
time_dir5 = '20081117_141634_run_final_0_68693_alpha0.1_kvanputt'
time_dir6 = '20081117_141717_run_final_0.6_68693_alpha0.1_kvanputt'

time_dirs = [time_dir1, time_dir2, time_dir3, time_dir4, time_dir5, time_dir6]

for time_dir in time_dirs:

    # Local variables...
    folder =  scenario_dir + output_dir + time_dir + '\\'
    input_dir_name = folder+'geraldton_runup.csv'
    raster_gdb = folder + "raster.gdb"
    layer = 'layer'
    
    print 'Process: Create File GDB'
    gp.CreateFileGDB_management(folder, "raster")

    print 'Process: Make XY Event Layer'
    gp.MakeXYEventLayer_management(input_dir_name, "x", "y", layer, "PROJCS['GDA_1994_MGA_Zone_50',GEOGCS['GCS_GDA_1994',DATUM"
                                   "['D_GDA_1994',SPHEROID['GRS_1980',6378137.0,298.257222101]],PRIMEM['Greenwich',0.0],UNIT"
                                   "['Degree',0.0174532925199433]],PROJECTION['Transverse_Mercator'],PARAMETER['False_Easting'"
                                   ",500000.0],PARAMETER['False_Northing',10000000.0],PARAMETER['Central_Meridian',117.0],PARAMETER"
                                   "['Scale_Factor',0.9996],PARAMETER['Latitude_Of_Origin',0.0],UNIT['Meter',1.0]];IsHighPrecision")

    print 'Process: Feature Class to Feature Class'
    gp.FeatureClassToFeatureClass_conversion(layer, raster_gdb, "geraldton_runup", "", "area area true true false 255 Text 0 0 ,First,#,geraldton_runup.csv_Features,area,-1,-1;q q true true false 8 Double 0 0 ,First,#,geraldton_runup.csv_Features,q,-1,-1;x x true true false 8 Double 0 0 ,First,#,geraldton_runup.csv_Features,x,-1,-1;y y true true false 8 Double 0 0 ,First,#,geraldton_runup.csv_Features,y,-1,-1", "")


  
