# Standard modules
from os import sep
import os
from os.path import dirname, basename
from os import mkdir, access, F_OK
from shutil import copy
import time
import sys
# Related major packages
from anuga.shallow_water.data_manager import get_maximum_inundation_data
        
# Application specific imports
import project  # Definition of file names and polygons
import csv
directory = project.output_dir

time_dir1 = '20081117_141353_run_final_0_27283_alpha0.1_kvanputt'
time_dir2 = '20081117_141443_run_final_0.6_27283_alpha0.1_kvanputt' 
time_dir3 = '20081117_141520_run_final_0_27255_alpha0.1_kvanputt'
time_dir4 = '20081117_141558_run_final_0.6_27255_alpha0.1_kvanputt'
time_dir5 = '20081117_141634_run_final_0_68693_alpha0.1_kvanputt'
time_dir6 = '20081117_141717_run_final_0.6_68693_alpha0.1_kvanputt'

time_dirs = [time_dir1, time_dir2, time_dir3, time_dir4, time_dir5, time_dir6]

area_dictionary = {'CBD': project.poly_aoi1}

area = ['CBD'] 

for time_dir in time_dirs:

    name = directory+time_dir+sep+project.scenario_name

    out_file = name+'_runup.csv'
    output_file = open(out_file, 'w')
    s = 'area,q,x,y\n' 
    output_file.write(s)
    print 'name ',name 

    for which_area in area:
        if which_area not in area_dictionary:
            print 'Unrecognized variable name: %s' % which_area
            break

        polygon = area_dictionary[which_area]
        
        print 'Which area ',which_area

        q, loc = get_maximum_inundation_data (name+'.sww', polygon = polygon, verbose= True)

        print '%s, %.6f, %.6f, %.6f\n' %(str(which_area), q, loc[0],loc[1])
        s = '%s, %.6f, %.6f, %.6f\n' %(str(which_area), q, loc[0],loc[1])

        output_file.write(s)

        print 'output file printed to: %s' %out_file
    output_file.close()
